#
# spec file for package chos (Version 0.84)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bin86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bin86 bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         chos
Copyright:    Tuomo Valkonen
Group:        System Environment/Base
Provides:     Choos-OS chos 
Autoreqprov:  on
Version:      0.84
Release:      248
Summary:      Choose-OS Bootmanager
Source:  chos-0.84.tar.gz
Patch:   chos-0.84.dif

%description
Choose-OS is a mighty Bootmanager for Linux.
It has powerful functions, nice block-color-pictures, an easy Tcl-Frontend
and previews of the boot-screen.

Authors:
--------
    Tuomu Valkonen <tuv1@freenet.hut.fi>

SuSE series: ap

%prep
%setup
%patch

%build
tar xfvz swaphdfd.tar.gz
cd swaphdfd
cp c* ../sources/loader
cp l* ../sources/loader
cd ../sources
make depend
make
cd ..
#cp samples/penguin.conf ./chos.conf

%install
install -d /sbin
install -m 700 bin/chos		/sbin/
install -m 755 utils/modpart	/sbin/
install -d /boot
install -m 644 bin/chos.*	/boot/
install -d /usr/bin
install -m 755 utils/showscreen	/usr/bin/
install -d /usr/X11R6/bin
install -m 755 utils/xshowscreen /usr/X11R6/bin/
install -m 755 utils/vchos	/usr/X11R6/bin/
install -d /boot/bg
install -m 644 samples/bg/*	/boot/bg/
install -d /etc
install -m 600 samples/penguin.conf /etc/chos.conf
install -d %{_docdir}/chos
install -d %{_docdir}/chos/html
install -d %{_docdir}/chos/samples
install -d %{_docdir}/chos/contrib
install -m 644 docs/*		%{_docdir}/chos/html/
cp -R samples/*	%{_docdir}/chos/samples/
chmod -R 644 %{_docdir}/chos/samples
install -m 644 README		%{_docdir}/
install -m 644 Install		%{_docdir}/
install -m 644 NEWS		%{_docdir}/
install -m 644 swaphdfd/README	%{_docdir}/README.swaphdfd
cp -R contrib/* %{_docdir}/chos/contrib
chmod -R 644 %{_docdir}/chos/contrib
DOCDIR=%{_docdir}/
DOC=""

%files
/sbin/chos
/sbin/modpart
/boot/chos.bsect
/boot/chos.loader
/boot/chos.loader-bsect
/boot/chos.loader-linux
/usr/bin/showscreen
/usr/X11R6/bin/xshowscreen
/usr/X11R6/bin/vchos
/boot/bg/be.asc
/boot/bg/chos.asc
/boot/bg/chos.bin
/boot/bg/chos08.bin
/boot/bg/chos_penguin.bin
%{_docdir}/chos/
%config /etc/chos.conf

%changelog -n chos
* Mon Feb 12 2001 - ro@suse.de
- cleaned including linux-headers
- added bin86 to neededforbuild (needed for as86/ld86)
* Sat Dec 09 2000 - nashif@suse.de
- sorted
* Mon Jun 05 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Dec 23 1998 - tw@suse.de
- A small change to the Tcl-Userinterface for better
  work under SuSE-Linux and RPM.
  Rebooter has to follow and the Interface needs work.
